summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/g-i-installation.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index 189b35c3..0994b127 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -823,6 +823,7 @@ monitor_system() {
STACK_LINE=$(egrep "(Call Trace|end trace)" $GOCR || true)
INVALID_SIG_LINE=$(egrep "(Invalid Release signature)" $GOCR || true)
CDROM_PROBLEM=$(grep "There was a problem reading data from the CD-ROM" $GOCR || true)
+ SOFTWARE_PROBLEM=$(grep "The failing step is: Select and install software" $GOCR || true)
rm $GOCR $GOCR.ppm
if [[ "$LAST_LINE" =~ .*Power\ down.* ]] ; then
echo "QEMU was powered down, continuing."
@@ -836,6 +837,9 @@ monitor_system() {
elif [ ! -z "$CDROM_PROBLEM" ] ; then
echo "ERROR: Loading installer components from CDROM failed, aborting."
exit 1
+ elif [ ! -z "$SOFTWARE_PROBLEM" ] ; then
+ echo "ERROR: The failing step is: Select and install software."
+ exit 1
fi
fi
# every 100 screenshots, starting from the $TIMEOUTth one...